classification
Title: idlelib/NEWS.txt for 3.9.0 and backports
Type: enhancement Stage: patch review
Components: IDLE Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: miss-islington, terry.reedy
Priority: normal Keywords: patch

Created on 2019-06-16 22:22 by terry.reedy, last changed 2020-07-26 04:25 by miss-islington.

Pull Requests
URL Status Linked Edit
PR 16947 merged terry.reedy, 2019-10-27 04:53
PR 16948 merged terry.reedy, 2019-10-27 05:01
PR 16949 merged terry.reedy, 2019-10-27 05:04
PR 17115 merged terry.reedy, 2019-11-12 07:53
PR 17117 merged miss-islington, 2019-11-12 10:03
PR 20353 merged terry.reedy, 2020-05-24 13:21
PR 20355 merged terry.reedy, 2020-05-24 13:25
PR 20356 merged terry.reedy, 2020-05-24 13:32
PR 20357 merged miss-islington, 2020-05-24 13:58
PR 20358 closed terry.reedy, 2020-05-24 14:27
PR 21612 merged terry.reedy, 2020-07-25 03:56
PR 21613 merged terry.reedy, 2020-07-25 04:11
PR 21614 merged miss-islington, 2020-07-25 04:31
Messages (15)
msg345785 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-06-16 22:22
Master is 3.9.0a0 as of 2019 June 4.
msg345787 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-06-16 22:46
However, this starts with first merge that does not go in 3.8.0, which will be after 3.8.0c1.
msg348688 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-07-29 22:01
Release peps -- needed for proposed and actual release dates.
3.7 PEP 537 https://www.python.org/dev/peps/pep-0537/
3.8 PEP 569 https://www.python.org/dev/peps/pep-0569/
3.9 PEP 596 https://www.python.org/dev/peps/pep-0596/
msg355444 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-10-27 05:23
New changeset a8fb9327fb9387b404d4b6ce55c608125f66b9ae by Terry Jan Reedy in branch 'master':
bpo-37309: First idlelib/NEWS.txt for 3.9.0 (GH-16947)
https://github.com/python/cpython/commit/a8fb9327fb9387b404d4b6ce55c608125f66b9ae
msg355445 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-10-27 05:25
New changeset 6d6418a075f272aeab93c6f2ec15c10257b94e1d by Terry Jan Reedy in branch '3.8':
[3.8] bpo-37309: First idlelib/NEWS.txt for 3.8.1 (GH-16947)
https://github.com/python/cpython/commit/6d6418a075f272aeab93c6f2ec15c10257b94e1d
msg355447 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-10-27 06:38
New changeset baf2657eff82f5c33ae8194499d97ba963871655 by Terry Jan Reedy in branch '3.7':
[3.7] bpo-37309: First idlelib/NEWS.txt for 3.7.6 (GH-) (#16949)
https://github.com/python/cpython/commit/baf2657eff82f5c33ae8194499d97ba963871655
msg356432 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-11-12 10:02
New changeset 8341a4d918ca96f8a5523444e056ffa82fa039d5 by Terry Jan Reedy in branch '3.8':
[3.8] bpo-37309: idlelib/NEWS.txt - add missing period. (#17115)
https://github.com/python/cpython/commit/8341a4d918ca96f8a5523444e056ffa82fa039d5
msg356434 - (view) Author: miss-islington (miss-islington) Date: 2019-11-12 10:21
New changeset 832341a07158955c2df899c18779b72fb379b0d0 by Miss Islington (bot) in branch '3.7':
[3.8] bpo-37309: idlelib/NEWS.txt - add missing period. (GH-17115)
https://github.com/python/cpython/commit/832341a07158955c2df899c18779b72fb379b0d0
msg369799 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-05-24 13:40
New changeset 3269a0e56b02da61d8f6e7a5e2cca9f83d50694b by Terry Jan Reedy in branch '3.7':
bpo-37309: Update NEWS.txt for 3.7.8 (GH-20353)
https://github.com/python/cpython/commit/3269a0e56b02da61d8f6e7a5e2cca9f83d50694b
msg369801 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-05-24 13:57
New changeset 1ae0fd87a072426e35ff84dc6d1b2759d9ebee70 by Terry Jan Reedy in branch '3.8':
[3.8] bpo-37309: Update IDLE NEWS.txt for 3.8.4 (GH-20355)
https://github.com/python/cpython/commit/1ae0fd87a072426e35ff84dc6d1b2759d9ebee70
msg369802 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-05-24 13:57
New changeset 16ef3241939a3a64a447e5d7aabaf2e29deca621 by Terry Jan Reedy in branch 'master':
bpo-37309: Update IDLE NEWS.txt (GH-20356)
https://github.com/python/cpython/commit/16ef3241939a3a64a447e5d7aabaf2e29deca621
msg369803 - (view) Author: miss-islington (miss-islington) Date: 2020-05-24 14:16
New changeset 21a9af193c35394f560d9517e7a4b579f40b8ef7 by Miss Islington (bot) in branch '3.9':
bpo-37309: Update IDLE NEWS.txt (GH-20356)
https://github.com/python/cpython/commit/21a9af193c35394f560d9517e7a4b579f40b8ef7
msg374233 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-07-25 04:31
New changeset af08db7bac3087aac313d052c1a6302bee7c9c89 by Terry Jan Reedy in branch 'master':
bpo-37309: NEWS for #41373 (GH-21612)
https://github.com/python/cpython/commit/af08db7bac3087aac313d052c1a6302bee7c9c89
msg374234 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-07-25 04:33
New changeset a667e1c66a62d509c39d30abf11778213a1e1ca0 by Terry Jan Reedy in branch '3.8':
[3.8] bpo-37309: NEWS for #41373 (GH-21612)
https://github.com/python/cpython/commit/a667e1c66a62d509c39d30abf11778213a1e1ca0
msg374300 - (view) Author: miss-islington (miss-islington) Date: 2020-07-26 04:25
New changeset b74e53607576ec92c0f319559b8bb1e34ed5c38b by Miss Islington (bot) in branch '3.9':
bpo-37309: NEWS for GH-41373 (GH-21612)
https://github.com/python/cpython/commit/b74e53607576ec92c0f319559b8bb1e34ed5c38b
History
Date User Action Args
2020-07-26 04:25:20miss-islingtonsetmessages: + msg374300
2020-07-25 04:33:04terry.reedysetmessages: + msg374234
2020-07-25 04:31:08miss-islingtonsetpull_requests: + pull_request20756
2020-07-25 04:31:04terry.reedysetmessages: + msg374233
2020-07-25 04:11:30terry.reedysetpull_requests: + pull_request20755
2020-07-25 03:56:51terry.reedysetpull_requests: + pull_request20754
2020-05-24 14:27:47terry.reedysetpull_requests: + pull_request19621
2020-05-24 14:16:14miss-islingtonsetmessages: + msg369803
2020-05-24 13:58:09miss-islingtonsetpull_requests: + pull_request19620
2020-05-24 13:57:58terry.reedysetmessages: + msg369802
2020-05-24 13:57:32terry.reedysetmessages: + msg369801
2020-05-24 13:40:26terry.reedysetmessages: + msg369799
2020-05-24 13:32:13terry.reedysetpull_requests: + pull_request19619
2020-05-24 13:25:49terry.reedysetpull_requests: + pull_request19618
2020-05-24 13:21:40terry.reedysetpull_requests: + pull_request19616
2019-11-12 10:21:09miss-islingtonsetnosy: + miss-islington
messages: + msg356434
2019-11-12 10:03:08miss-islingtonsetpull_requests: + pull_request16623
2019-11-12 10:02:58terry.reedysetmessages: + msg356432
2019-11-12 07:53:14terry.reedysetpull_requests: + pull_request16622
2019-10-27 06:38:23terry.reedysetmessages: + msg355447
2019-10-27 05:25:30terry.reedysetmessages: + msg355445
2019-10-27 05:23:33terry.reedysetmessages: + msg355444
2019-10-27 05:04:40terry.reedysetpull_requests: + pull_request16477
2019-10-27 05:01:14terry.reedysetpull_requests: + pull_request16476
2019-10-27 04:53:50terry.reedysetkeywords: + patch
stage: commit review -> patch review
pull_requests: + pull_request16475
2019-07-29 22:01:51terry.reedysetmessages: + msg348688
2019-06-16 22:46:11terry.reedysetmessages: + msg345787
2019-06-16 22:24:02terry.reedylinkissue34162 superseder
2019-06-16 22:22:01terry.reedycreate